# scia

scia is a robust Python package dedicated to single-case data analysis. Designed for researchers and practitioners working with single-case experimental designs.

**scia** provides a comprehensive suite of statistical methods to analyze, interpret, and report data effectively. The package includes functionality to create and preprocess single-case data frames, fill in missing values, filter data, and compute key non-overlap and effect size metrics. Advanced methods for evaluating treatment effects and trends are available through functions such as autocorr for autocorrelation analysis and bayesplm for Bayesian piecewise linear regression. Additional tools like pnd, pem, pet, nap, pand, ird, tau_u, and corrected_tau offer further analytical capabilities to support rigorous, data-driven decision making.

-Documentation is on going and reading, please be patient with it.

## 📚 Documentation

<div align="center">
  <a href="https://ahsankhodami.github.io/scia/intro.html">
    <img src="https://img.shields.io/badge/Documentation-Read%20Now-blue?style=for-the-badge&logo=read-the-docs" alt="Documentation">
  </a>
</div>

<br>

✨ **Key Features** ✨
- Comprehensive statistical methods for single-case analysis
- Missing value handling and data preprocessing
- Advanced treatment effect evaluation
- Bayesian piecewise linear regression
- Multiple non-overlap and effect size metrics
